CS::Geometry::TesselatedQuad Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Geometry::TesselatedQuad Class Reference

A tesselated quad. More...

`#include <cstool/genmeshbuilder.h>`

Inheritance diagram for CS::Geometry::TesselatedQuad:

List of all members.

## Public Member Functions
virtual void | Append (iGeneralFactoryState *state)
| Append this primitive to the given factory.
virtual bool | Append (iMeshFactoryWrapper *factory)
| Append this primitive to the given factory.
int | GetLevel () const
| Get the tesselation level.
void | SetLevel (int level)
| Set the tesselation level for this quad. Default is 1.
void | SetMapper (TextureMapper *mapper)
| Set the mapper.
| TesselatedQuad (const csVector3 &v0, const csVector3 &v1, const csVector3 &v2)
| Generate a single-sided tesselations quad.

## Detailed Description

A tesselated quad.

Definition at line 70 of file genmeshbuilder.h.

## Constructor & Destructor Documentation

CS::Geometry::TesselatedQuad::TesselatedQuad | ( | const csVector3 & | v0,
|  | const csVector3 & | v1,
|  | const csVector3 & | v2
| ) |  |

Generate a single-sided tesselations quad.

v0-v1 and v0-v2 should be oriented clockwise from the visible side.

Parameters:

  v0 | is the origin of the quad.
  v1 | is the first axis.
  v2 | is the second axis.

## Member Function Documentation

virtual void CS::Geometry::TesselatedQuad::Append | ( | iGeneralFactoryState * | factory | ) | `[virtual]`

Append this primitive to the given factory.

Implements CS::Geometry::Primitive.

virtual bool CS::Geometry::TesselatedQuad::Append | ( | iMeshFactoryWrapper * | factory | ) | `[inline, virtual]`

Append this primitive to the given factory.

Returns false if the primitive is not a genmesh.

Reimplemented from CS::Geometry::Primitive.

Definition at line 104 of file genmeshbuilder.h.

int CS::Geometry::TesselatedQuad::GetLevel | ( |  | ) | const`[inline]`

Get the tesselation level.

Definition at line 92 of file genmeshbuilder.h.

void CS::Geometry::TesselatedQuad::SetLevel | ( | int | level | ) | `[inline]`

Set the tesselation level for this quad. Default is 1.

Definition at line 89 of file genmeshbuilder.h.

void CS::Geometry::TesselatedQuad::SetMapper | ( | TextureMapper * | mapper | ) | `[inline]`

Set the mapper.

Default mapper is Primitives::DensityTextureMapper with density 1.

Definition at line 98 of file genmeshbuilder.h.

The documentation for this class was generated from the following file:

- cstool/genmeshbuilder.h